package gd_statistics

import "context"

// 函数集合，注意：这里只起到声明作用
type Funcs interface {
	LogAddAccessLog(ctx context.Context, req *LogAddAccessLogReq, reply *LogAddAccessLogReply) error
	LogAddThirdpartLog(ctx context.Context, req *LogAddThirdpartLogReq, reply *LogAddThirdpartLogReply) error
	LogQueryAccessLog(ctx context.Context, req *LogQueryAccessLogReq, reply *LogQueryAccessLogReply) error
	LogQueryThirdpartAccessLog(ctx context.Context, req *LogQueryThirdpartAccessLogReq, reply *LogQueryThirdpartAccessLogReply) error
	LogQueryAccessLogCount(ctx context.Context, req *LogQueryAccessLogCountReq, reply *LogQueryAccessLogCountReply) error
	LogQueryThirdpartAccessLogCount(ctx context.Context, req *LogQueryThirdpartAccessLogCountReq, reply *LogQueryThirdpartAccessLogCountReply) error
}
